import { Headers, Http } from '@angular/http';
import 'rxjs/add/operator/toPromise';
import { PagedQueryResult, PagedQueryParam } from './models';
export declare abstract class BaseService {
    private http;
    protected headers: Headers;
    constructor(http: Http);
    /**
     * 分页查询
     * 参数：url URL地址, queryParam：用于查询的参数。waitLoading: 是否要显示等待加载
     * */
    protected searchPage(url: string, queryParam: PagedQueryParam, waitLoading?: boolean): Promise<PagedQueryResult<any>>;
    private toUrl;
    private formatValue;
    /**
     * GET请求
     * 参数：url URL地址, data：用于查询的参数。waitLoading: 是否要显示等待加载
     * */
    protected doGet(url: string, data?: any, waitLoading?: boolean): Promise<any>;
    /**
     * PUT请求
     * 参数：url URL地址, data：参数。waitLoading: 是否要显示等待加载
     * */
    protected doPut(url: string, data: any, waitLoading?: boolean): Promise<any>;
    /**
     * POST请求
     * 参数：url URL地址, data：参数。waitLoading: 是否要显示等待加载
     * */
    protected doPost(url: string, data: any, waitLoading?: boolean): Promise<any>;
    /**
     * DELETE请求
     * 参数：url URL地址, data：参数。waitLoading: 是否要显示等待加载
     * */
    protected doDelete(url: string, waitLoading?: boolean): Promise<any>;
    protected processDate(rst: any): void;
    protected handleError(error: any, waitLoading: boolean): Promise<any>;
}
