import { Selectable } from './models';
export declare class Utils {
    static resolveJsonErrorMessage(err: any): string;
    static showMessage(msg: string): void;
    static showMessageByKey(key: string): void;
    static cloneObject(src: Object, dist: Object): void;
    /** To use this function, the langMap variable should be defined already. e.g.
     * var langMap = {
     *     	"rolesDetail": '角色列表',
     *     	"msg_deletedSuccess": "删除成功!",
     *     	"msg_savedSuccess": "保存成功!",
     *     	"msg_addedSuccess": "新增成功!"
     *     }
     * @param key the message key
     * @param params parameters to replace the placeholder in message. If params is not an array, then treat it as the first parameter.
     * @returns resolved localized message. return the key if message not found.
     */
    static resolveLocalizedMessage(key: string, params?: string[]): any;
    /** Compare whether 2 arrays are same.
     * @param array1
     * @param array2
     * @param property
     * @returns true if same.
     */
    static compareArrays(array1: Array<any>, array2: Array<any>, property: string): boolean;
    static getCurrentDataDate(): string;
    static getCurrentNodeCode(): string;
    static getCookie(name: string): any;
    static setCookie(name: string, value: string, msec?: number): void;
    static delCookie(name: string): void;
    static getSelectedBeans(array: Selectable[], property?: string): any[];
    /**
     * 格式化数字显示方式
     * 用法
     * formatNumber(12345.999,'#,##0.00');
     * formatNumber(12345.999,'#,##0.##');
     * formatNumber(123,'000000');
     * @param num
     * @param pattern
     */
    static formatNumber(num: number, pattern: string): string;
    static formatDate(date: Date, fmt: string): string;
    /**
     * 获取请求参数的值，如var=1，则返回"1"
     * @param name 参数名
     */
    static getParameter(name: string): string;
    /**
     * 获取同名多个请求参数的值数组，如var=1&var=2,返回["1","2"]
     * @param name 参数名
     */
    static getParameterValues(name: string): string[];
}
